# $Revision: 1.6.2.1 $, $Date: 2003/03/13 00:56:39 $
#
# Conditional build:
# _with_tests - perform "make test" (needs working, not busy /dev/audio!)
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
Summary:	Audio Perl module - beginnings of Audio manipulation routines from Perl
Summary(pl):	Modu Perla Audio - pocztki funkcji do obrbki dwiku w Perlu
Name:		perl-Audio
Version:	1.000
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
Patch0:		%{name}-nas-fix.patch
Patch1:		%{name}-perl_version.patch
BuildRequires:	nas-devel
BuildRequires:	perl-devel >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audio Perl module - the beginnings of Audio manipulation routines from
Perl. It can load or save Sun/Next .au/.snd files and play them via
Network Audio Server (from ftp://ftp.x.org/) or native Sun (or
compatible) /dev/audio.

%description -l pl
Modu Perla Audio - pocztki funkcji do obrbki dwiku w Perlu. Modul
ten potrafi wczytywa i zapisywa pliki .au/.snd z Suna/NeXTa oraz
odtwarza je przez NAS albo sunowskie (lub kompatybilne) /dev/audio.

%package Play-Net
Summary:	Audio::Play::Net - nas driver for Audio module
Summary(pl):	Audio::Play::Net - sterownik nas do moduu Audio
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}

%description Play-Net
Audio::Play::Net - nas driver for Audio module.

%description Play-Net -l pl
Audio::Play::Net - sterownik nas do moduu Audio.

%package Tk
Summary:	Tk interface to Audio Perl module
Summary(pl):	Interfejs Tk do moduu Perla Audio
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}

%description Tk
Tk interface to Audio Perl module.

%description Tk -l pl
Interfejs Tk do moduu Perla Audio.

%package devel
Summary:	Audio Perl module - development files
Summary(pl):	Modu Perla Audio - pliki nagwkowe
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}

%description devel
Audio Perl module - development files.

%description devel -l pl
Modu Perla Audio - pliki nagwkowe.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# names are too common
cd $RPM_BUILD_ROOT%{_bindir}
for f in * ; do
	mv -f $f Audio-$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README 
%attr(755,root,root) %{_bindir}/Audio-[dmp]*
%{perl_sitearch}/Audio/*.pm
%{perl_sitearch}/Audio/Data
%dir %{perl_sitearch}/Audio/Play
%{perl_sitearch}/Audio/Play/linux.pm
%dir %{perl_sitearch}/auto/Audio/Data
%{perl_sitearch}/auto/Audio/Data/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Audio/Data/*.so
%dir %{perl_sitearch}/auto/Audio/Play
%{perl_sitearch}/auto/Audio/Play/autosplit.ix
%dir %{perl_sitearch}/auto/Audio/Play/linux
%{perl_sitearch}/auto/Audio/Play/linux/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Audio/Play/linux/*.so
%{_mandir}/man3/*

%files Play-Net
%defattr(644,root,root,755)
%{perl_sitearch}/Audio/Play/Net.pm
%dir %{perl_sitearch}/auto/Audio/Play/Net
%{perl_sitearch}/auto/Audio/Play/Net/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Audio/Play/Net/*.so

%files Tk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Audio-t*
%{perl_sitearch}/Tk/Scope.pm

%files devel
%defattr(644,root,root,755)
%doc README.Porting
%{perl_sitearch}/Audio/*.h
%{perl_sitearch}/Audio/*.m
%{perl_sitearch}/Audio/*.t
%{perl_sitearch}/Audio/typemap

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Audio.spec,v $
Revision 1.6.2.1  2003/03/13 00:56:39  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6  2003/02/27 20:50:48  ankry
fixed %files

Revision 1.5  2003/02/25 00:36:46  radek
- use the __perl macro

Revision 1.4  2003/02/19 14:58:45  ankry
- updated to 1.000
- added -devel and -Tk subpackages

Revision 1.3  2003/02/18 15:26:35  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/04 19:37:38  ankry
- added -perl_version patch fixing Perl version string in require
- release 2

Revision 1.1  2002/08/04 11:39:18  qboosh
- new
